// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.Profiling.HeapShot {
    
    
    public partial class ReferenceTreeViewer {
        
        private Gtk.VBox vbox1;
        
        private Gtk.ScrolledWindow scrolledwindow1;
        
        private Gtk.TreeView treeview;
        
        private Gtk.HBox hbox1;
        
        private Gtk.HBox boxFilter;
        
        private Gtk.Entry entryFilter;
        
        private Gtk.Button buttonFilter;
        
        private Gtk.CheckButton checkInverse;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.Profiling.HeapShot.ReferenceTreeViewer
            Stetic.BinContainer.Attach(this);
            this.Events = ((Gdk.EventMask)(256));
            this.Name = "MonoDevelop.Profiling.HeapShot.ReferenceTreeViewer";
            // Container child MonoDevelop.Profiling.HeapShot.ReferenceTreeViewer.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            this.vbox1.BorderWidth = ((uint)(6));
            // Container child vbox1.Gtk.Box+BoxChild
            this.scrolledwindow1 = new Gtk.ScrolledWindow();
            this.scrolledwindow1.CanFocus = true;
            this.scrolledwindow1.Name = "scrolledwindow1";
            this.scrolledwindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow1.Gtk.Container+ContainerChild
            this.treeview = new Gtk.TreeView();
            this.treeview.CanFocus = true;
            this.treeview.Events = ((Gdk.EventMask)(8196));
            this.treeview.Name = "treeview";
            this.treeview.HeadersClickable = true;
            this.scrolledwindow1.Add(this.treeview);
            this.vbox1.Add(this.scrolledwindow1);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.vbox1[this.scrolledwindow1]));
            w2.Position = 0;
            // Container child vbox1.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.boxFilter = new Gtk.HBox();
            this.boxFilter.Name = "boxFilter";
            this.boxFilter.Spacing = 3;
            // Container child boxFilter.Gtk.Box+BoxChild
            this.entryFilter = new Gtk.Entry();
            this.entryFilter.CanFocus = true;
            this.entryFilter.Name = "entryFilter";
            this.entryFilter.IsEditable = true;
            this.entryFilter.InvisibleChar = '●';
            this.boxFilter.Add(this.entryFilter);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.boxFilter[this.entryFilter]));
            w3.Position = 0;
            // Container child boxFilter.Gtk.Box+BoxChild
            this.buttonFilter = new Gtk.Button();
            this.buttonFilter.CanFocus = true;
            this.buttonFilter.Name = "buttonFilter";
            this.buttonFilter.Label = "Filter";
            this.boxFilter.Add(this.buttonFilter);
            Gtk.Box.BoxChild w4 = ((Gtk.Box.BoxChild)(this.boxFilter[this.buttonFilter]));
            w4.Position = 1;
            w4.Expand = false;
            w4.Fill = false;
            this.hbox1.Add(this.boxFilter);
            Gtk.Box.BoxChild w5 = ((Gtk.Box.BoxChild)(this.hbox1[this.boxFilter]));
            w5.Position = 0;
            // Container child hbox1.Gtk.Box+BoxChild
            this.checkInverse = new Gtk.CheckButton();
            this.checkInverse.CanFocus = true;
            this.checkInverse.Name = "checkInverse";
            this.checkInverse.Label = "Inverse references";
            this.checkInverse.DrawIndicator = true;
            this.hbox1.Add(this.checkInverse);
            Gtk.Box.BoxChild w6 = ((Gtk.Box.BoxChild)(this.hbox1[this.checkInverse]));
            w6.Position = 1;
            w6.Expand = false;
            w6.Fill = false;
            this.vbox1.Add(this.hbox1);
            Gtk.Box.BoxChild w7 = ((Gtk.Box.BoxChild)(this.vbox1[this.hbox1]));
            w7.Position = 1;
            w7.Expand = false;
            w7.Fill = false;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.treeview.MotionNotifyEvent += new Gtk.MotionNotifyEventHandler(this.OnTreeviewMotionNotifyEvent);
            this.treeview.LeaveNotifyEvent += new Gtk.LeaveNotifyEventHandler(this.OnTreeviewLeaveNotifyEvent);
            this.entryFilter.Activated += new System.EventHandler(this.OnEntryFilterActivated);
            this.buttonFilter.Clicked += new System.EventHandler(this.OnButtonFilterClicked);
            this.checkInverse.Clicked += new System.EventHandler(this.OnCheckInverseClicked);
        }
    }
}
